from fastapi import APIRouter
from app.api.v1 import auth, testimonials, usage_stats, communication, payments

api_router = APIRouter()

api_router.include_router(auth.router, prefix="/auth", tags=["Authentication"])
api_router.include_router(testimonials.router, prefix="/testimonials", tags=["Testimonials"])
api_router.include_router(usage_stats.router, prefix="/stats", tags=["Usage Statistics"])
api_router.include_router(communication.router, prefix="/communication", tags=["Communication"])
api_router.include_router(payments.router, prefix="/payments", tags=["Payments"])