from typing import Optional
from pydantic import BaseModel
from datetime import datetime

class TestimonialBase(BaseModel):
    name: str
    title: Optional[str] = None
    company: Optional[str] = None
    content: str
    avatar_url: Optional[str] = None
    rating: float = 5.0

class TestimonialCreate(TestimonialBase):
    pass

class TestimonialUpdate(BaseModel):
    name: Optional[str] = None
    title: Optional[str] = None
    company: Optional[str] = None
    content: Optional[str] = None
    avatar_url: Optional[str] = None
    rating: Optional[float] = None
    is_featured: Optional[bool] = None
    is_active: Optional[bool] = None

class Testimonial(TestimonialBase):
    id: int
    is_featured: bool
    is_active: bool
    created_at: datetime
    
    class Config:
        from_attributes = True