from typing import Optional
from pydantic import BaseModel
from datetime import datetime

class UsageStatBase(BaseModel):
    metric_name: str
    metric_value: int
    description: Optional[str] = None

class UsageStatCreate(UsageStatBase):
    pass

class UsageStatUpdate(BaseModel):
    metric_value: Optional[int] = None
    description: Optional[str] = None

class UsageStat(UsageStatBase):
    id: int
    created_at: datetime
    
    class Config:
        from_attributes = True